Bug 72849 - ports/audo/daapd fails to build on 6-current
Summary: ports/audo/daapd fails to build on 6-current
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Lars Thegler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-18 22:10 UTC by Tim Hawkins
Modified: 2004-11-21 19:35 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Hawkins 2004-10-18 22:10:31 UTC
$ sudo make install clean
===>  Vulnerability check disabled, database not found
===>  Found saved configuration for daapd-0.2.2c_1
===>  Extracting for daapd-0.2.2c_1
Comment 1 Pav Lucistnik freebsd_committer 2004-10-20 05:09:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lth

Over to maintainer
Comment 2 handler 2004-11-05 20:48:38 UTC
This is because the Howl API changed after 0.9.5; the daapd package
needs to be updated to 0.2.3d, which uses the new Howl API. Here's a patch
that I've tested and been using for a few weeks now.

diff -ur /usr/ports/audio/daapd/Makefile ./Makefile
--- /usr/ports/audio/daapd/Makefile	Tue Jul 27 16:04:09 2004
+++ ./Makefile	Fri Oct 15 16:50:05 2004
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	daapd
-PORTVERSION=	0.2.2c
-PORTREVISION=	1
+PORTVERSION=	0.2.3d
 CATEGORIES=	audio
 MASTER_SITES=	http://www.deleet.de/projekte/daap/daapd/
 EXTRACT_SUFX=	.tgz
diff -ur /usr/ports/audio/daapd/distinfo ./distinfo
--- /usr/ports/audio/daapd/distinfo	Tue Jun 29 20:17:37 2004
+++ ./distinfo	Fri Oct 15 16:52:45 2004
@@ -1,2 +1,2 @@
-MD5 (daapd-0.2.2c.tgz) = 63ff586d479f3b7ea477789f3ca3dd42
-SIZE (daapd-0.2.2c.tgz) = 199236
+MD5 (daapd-0.2.3d.tgz) = 9cdf2e94b93001610f9f211866d94901
+SIZE (daapd-0.2.3d.tgz) = 202317
Only in ./files: patch-db.cc
diff -ur /usr/ports/audio/daapd/files/patch-makefile ./files/patch-makefile
--- /usr/ports/audio/daapd/files/patch-makefile	Tue Jun 29 20:17:37 2004
+++ ./files/patch-makefile	Fri Oct 15 17:08:03 2004
@@ -1,27 +1,30 @@
---- makefile.orig	Mon Jun 21 16:07:51 2004
-+++ makefile	Mon Jun 21 16:14:40 2004
-@@ -1,7 +1,5 @@
+--- makefile	Tue Sep  7 21:17:58 2004
++++ /tmp/makefile	Fri Oct 15 17:07:17 2004
+@@ -1,8 +1,6 @@
  # configure daapd here
  
 -HOWL_ENABLE = 1
--MPEG4_ENABLE = 0
+ ZLIB_ENABLE = 1
+-MPEG4_ENABLE = 1
  
  
  # no need to touch anything below this line
-@@ -10,24 +8,23 @@
+@@ -11,17 +9,16 @@
  CC = g++
  MAKE = $(MAKE_COMMAND)
  TARGET = daapd
 -DEPS = daaplib_ libhttpd_
  OBJS = daapd.o db.o dboutput.o songcache.o parsemp3.o
- LIBS = -ldaaplib -lhttpd-persistent -lid3tag -lz 
+-LIBS = -ldaaplib -lhttpd-persistent -lid3tag -lz -lpthread 
 -LIBPATH = -L. -L./daaplib/src -L./libhttpd/src  -L/usr/local/lib
 -INCPATH = -I. -I./daaplib/include -I./libhttpd/src  -I/usr/local/include
 -DEPLOY = /usr/local
+-CFLAGS = -Wall -Wno-multichar
++LIBS = -ldaaplib -lhttpd-persistent -lid3tag -lz $(PTHREAD_LIBS)
 +LIBPATH = -L. -L%%LOCALBASE%%/lib
 +INCPATH = -I. -I%%LOCALBASE%%/include
 +DEPLOY = %%PREFIX%%
- CFLAGS = -Wall -Wno-multichar
++CFLAGS = $(PTHREAD_CFLAGS) -Wall -Wno-multichar
  
  # HOWL
  ifeq ($(HOWL_ENABLE),1)
@@ -30,16 +33,7 @@
  ifeq ($(words $(HOWLDIRS) ), 0)
  $(error howl not found in /usr/local/include. Install howl or disable it in the makefile)
  endif
- 	HOWLRECENT := $(word $(words $(HOWLDIRS)),$(HOWLDIRS) )
- 	INCPATH := $(INCPATH) -I$(HOWLRECENT)
--	LIBS := $(LIBS) -lpthread -lhowl
--	CFLAGS := $(CFLAGS) -DHOWL_ENABLE
-+	LIBS := $(LIBS) $(PTHREAD_LIBS) -lhowl
-+	CFLAGS := $(CFLAGS) $(PTHREAD_CFLAGS) -DHOWL_ENABLE
- 	ifneq ($(shell $(CC) -E -dM - < /dev/null | grep __APPLE__),)
- 		LIBS := $(LIBS) -framework CoreFoundation
- 	endif
-@@ -53,28 +50,17 @@
+@@ -54,28 +51,17 @@
  .cc.o:
  	$(CC) $(CFLAGS) $(INCPATH) -c $<
Comment 3 Lars Thegler freebsd_committer 2004-11-21 19:35:11 UTC
State Changed
From-To: open->closed

Committed with changes, thanks!